## ros-indigo-cob-phidgets 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_phidgets)

if(CMAKE_COMPILER_IS_GNUCXX)
   execute_process(COMMAND ${CMAKE_C_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
   if (GCC_VERSION VERSION_GREATER 4.7 OR GCC_VERSION VERSION_EQUAL 4.7)
        message(STATUS "C++11 activated.")
        add_definitions("-std=gnu++11")
   elseif(GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
        message(WARNING "C++0x activated. If you get any errors update to a compiler which fully supports C++11")
        add_definitions("-std=gnu++0x")
   else ()
        message(FATAL_ERROR "C++11 needed. Therefore a gcc compiler with a version higher than 4.3 is needed.")
   endif()
else(CMAKE_COMPILER_IS_GNUCXX)
   add_definitions("-std=c++0x")
endif(CMAKE_COMPILER_IS_GNUCXX)

find_package(catkin REQUIRED COMPONENTS libphidgets message_generation roscpp sensor_msgs std_msgs)

### Message Generation ###
add_message_files(
  FILES
  AnalogSensor.msg
  DigitalSensor.msg
)

add_service_files(
  FILES
  SetDataRate.srv
  SetDigitalSensor.srv
  SetTriggerValue.srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
)

### BUILD ###
include_directories(${PROJECT_SOURCE_DIR}/ros/include ${PROJECT_SOURCE_DIR}/common/include ${catkin_INCLUDE_DIRS})

add_executable(range_sensors ros/src/phidgets_range_sensors.cpp)
add_dependencies(range_sensors ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(range_sensors ${catkin_LIBRARIES})

add_executable(device_name ros/src/set_device_name.cpp)
add_dependencies(device_name ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(device_name ${catkin_LIBRARIES})

add_executable(phidget_sensors
  ros/src/phidget_sensors_node.cpp
  ros/src/phidget_manager.cpp
  common/src/phidget.cpp
  common/src/phidgetik.cpp
  ros/src/phidgetik_ros.cpp)
add_dependencies(phidget_sensors ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(phidget_sensors ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS range_sensors phidget_sensors device_name
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS ros/src/simulated_range_sensors.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ros/src
)

=== debian/changelog ===
ros-indigo-cob-phidgets (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-phidgets (0.6.10-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.9-0trusty) trusty; urgency=high

  * use usleep
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.8-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.7-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.6-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.5-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.4-0trusty) trusty; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.3-0trusty) trusty; urgency=high

  * catkin_lint'ing
  * Contributors: Florian Weisshardt

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.2-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-phidgets (0.6.1-0trusty) trusty; urgency=high

  * Fixes the weird Jenkins release problem
  * Contributors: thiagodefreitas

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-phidgets (0.6.0-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-phidgets (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * fix CMakeLists.txt
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tag
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * use board_name instead serial_num in debug outputs
  * CMakeLists include_dirs order
  * renaming topic name
  * voltage info from phidgets
  * message generation dependencies
  * catkin dependencies
  * message generation
  * added c++11 support to phidgets CMakeLists
  * added phidgets to CMakelists
  * fix cob_phidget release pipeline error
  * Fixes the Jenkins Release Error
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Thiago de Freitas Oliveira Araujo, Your full name, ipa-bnm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-phidgets (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * merge
  * fix CMakeLists.txt
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tag
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * use board_name instead serial_num in debug outputs
  * CMakeLists include_dirs order
  * renaming topic name
  * voltage info from phidgets
  * message generation dependencies
  * catkin dependencies
  * message generation
  * added c++11 support to phidgets CMakeLists
  * added phidgets to CMakelists
  * fix cob_phidget release pipeline error
  * Fixes the Jenkins Release Error
  * Contributors: Alexander Bubeck, Florian Weisshardt, Nadia Hammoudeh García, Thiago de Freitas Oliveira Araujo, Your full name, ipa-bnm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-phidgets (0.5.3-0trusty) trusty; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-phidgets (0.5.2-0trusty) trusty; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-cob-phidgets (0.5.1-0trusty) trusty; urgency=high

  * use local namespace
  * remove launch and yaml configuration. this should be either in cob_robots or on the ROS wiki page
  * removed some debug outputs
  * fixed crash due to non existing phidget configuration for an attached board
  * modified phidget config
  * changed template config
  * added topic to set digital outputs
  * fixed include error
  * debug infos
  * example config changed


=== debian/control ===
Source: ros-indigo-cob-phidgets
Section: misc
Priority: extra
Maintainer: Benjamin Maidel <benjamin.maidel@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-libphidgets, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/cob_phidgets
Standards-Version: 3.9.2

Package: ros-indigo-cob-phidgets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-libphidgets, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: cob_phidgets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-phidgets//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
